"use server";

import { AuthConfig } from "@/auth";
import { requestGetFetch } from "@/utils/fetch";
import { Session } from "next-auth";
import { getServerSession } from "next-auth";

export async function getClubs() {
  try {
    const session: Session = await getServerSession(AuthConfig);
    const token = session?.token;
    const path = "club/list";
    const response = await requestGetFetch({
      path,
      options: {
        headers: {
          // credentials: "same-origin",
          // "X-Requested-With": "XMLHttpRequest",
          Authorization: `Bearer ${token}`,
          "Content-Type": "application/json",
          Accept: "application/json",
        },
        cache: 'no-store',
      },
    });
    return response;
  } catch (error) {
    if (error) {
      // switch (error.type) {
      //   case "CredentialsSignin":
      //     return "Invalid credentials.";
      //   default:
      //     return "Something went wrong.";
      // }
    }
    throw error;
  }
}